From a20547b447a609f900a8d862502e81d036f7e861 Mon Sep 17 00:00:00 2001
From: samatov.nail <samatov@developers.mail>
Date: Mon, 13 Dec 2010 20:18:36 +0300
Subject: [PATCH] Ticket #291 : Bad UI in the Find dialog

---
 pgadmin/dlg/dlgFindReplace.cpp       |   10 ++++++++++
 pgadmin/include/dlg/dlgFindReplace.h |    1 +
 2 files changed, 11 insertions(+), 0 deletions(-)

diff --git a/pgadmin/dlg/dlgFindReplace.cpp b/pgadmin/dlg/dlgFindReplace.cpp
index 88b75fe..70883b3 100644
--- a/pgadmin/dlg/dlgFindReplace.cpp
+++ b/pgadmin/dlg/dlgFindReplace.cpp
@@ -32,6 +32,7 @@ END_EVENT_TABLE()
 #define btnFind			     CTRL_BUTTON("wxID_FIND")
 #define btnReplace		     CTRL_BUTTON("wxID_REPLACE")
 #define btnReplaceAll        CTRL_BUTTON("wxID_REPLACEALL")
+#define btnCancel			 CTRL_BUTTON("wxID_CANCEL")
 #define txtFind		         CTRL_TEXT("txtFind")
 #define txtReplace		     CTRL_TEXT("txtReplace")
 #define rdOriginTop          CTRL_RADIOBUTTON("rdOriginTop")
@@ -112,6 +113,7 @@ pgDialog()
 
     wxCommandEvent ev;
     OnChange(ev);
+	ResetTabOrder();
 }
 
 dlgFindReplace::~dlgFindReplace()
@@ -291,3 +293,11 @@ void dlgFindReplace::SetFindString(const wxString &val)
 	txtFind->SetValue(val);
 }
 
+void dlgFindReplace::ResetTabOrder()
+{
+	btnFind->MoveAfterInTabOrder(chkOptionsUseRegexps);
+	btnReplace->MoveAfterInTabOrder(btnFind);
+	btnReplaceAll->MoveAfterInTabOrder(btnReplace);
+	btnCancel->MoveAfterInTabOrder(btnReplaceAll);
+}
+
diff --git a/pgadmin/include/dlg/dlgFindReplace.h b/pgadmin/include/dlg/dlgFindReplace.h
index f026941..6452f04 100644
--- a/pgadmin/include/dlg/dlgFindReplace.h
+++ b/pgadmin/include/dlg/dlgFindReplace.h
@@ -34,6 +34,7 @@ private:
     void OnFind(wxCommandEvent& ev);
     void OnReplace(wxCommandEvent& ev);
     void OnReplaceAll(wxCommandEvent& ev);
+	void ResetTabOrder();
 
     ctlSQLBox *sqlbox;
 
-- 
1.7.3.1.msysgit.0
